Cyberduck Mountain Duck CLI

#8053 closed defect (fixed)

Stuck in loop when listing root directory with MLSD

Reported by: beck@… Owned by: dkocher
Priority: normal Milestone: 4.5
Component: ftp Version: 4.4.5
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

A previously working connection now will not list when hitting the root dir. This seemed to happen after adding another ftp account at the host restricted to a single folder. The master log in will not list files when pointed to "/" When I point it to any other dir and try to back up to the root, the log shows it seems to be stuck in a loop....

CWD /
250 OK. Current directory is /
TYPE A
200 TYPE is now ASCII
PASV
227 Entering Passive Mode (69,195,124,213,250,209)
MLSD
150 Accepted data connection
type=cdir;sizd=4096;modify=20140623160739;UNIX.mode=0710;UNIX.uid=1144;UNIX.gid=12;unique=fd51g2dc0001; .
type=pdir;sizd=4096;modify=20140623160739;UNIX.mode=0710;UNIX.uid=1144;UNIX.gid=12;unique=fd51g2dc0001; ..
type=file;size=18;modify=20130718131903;UNIX.mode=0644;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0004; .bash_logout
type=file;size=191;modify=20030624163219;UNIX.mode=0644;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0002; .bash_profile
type=file;size=175;modify=20120522221830;UNIX.mode=0644;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0007; .bashrc
type=file;size=16;modify=20140506165029;UNIX.mode=0600;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc001f; .contactemail
type=dir;sizd=4096;modify=20140623165120;UNIX.mode=0700;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc001d; .cpanel
type=dir;sizd=4096;modify=20140416165729;UNIX.mode=0755;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0015; .cpanel-datastore
type=file;size=500;modify=20130507120744;UNIX.mode=0644;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0006; .emacs
type=file;size=140;modify=20140506165021;UNIX.mode=0644;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0030; .gemrc
type=dir;sizd=4096;modify=20140506165021;UNIX.mode=0755;UNIX.uid=1144;UNIX.gid=12;unique=fd51g2dc001a; .htpasswds
type=file;size=171;modify=20140311134653;UNIX.mode=0644;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0003; .kshrc
type=file;size=13;modify=20140623160739;UNIX.mode=0600;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0009; .lastlogin
type=dir;sizd=4096;modify=20140506181606;UNIX.mode=0700;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc00fd; .trash
type=file;size=658;modify=20131124174036;UNIX.mode=0644;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0005; .zshrc
type=dir;sizd=4096;modify=20140623160622;UNIX.mode=0755;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc00ff; UPLOADS
type=OS.unix=slink:;size=33;modify=20140506170314;UNIX.mode=0777;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc00dd; access-logs
type=dir;sizd=4096;modify=20140623171047;UNIX.mode=0750;UNIX.uid=1144;UNIX.gid=12;unique=fd51g2dc0017; etc
type=dir;sizd=4096;modify=20140506165021;UNIX.mode=0750;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0019; mail
type=dir;sizd=4096;modify=20140623163546;UNIX.mode=0755;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc000a; public_html
type=dir;sizd=4096;modify=20140507031809;UNIX.mode=0750;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0101; ssl
type=dir;sizd=4096;modify=20140619064554;UNIX.mode=0755;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0018; tmp
type=file;size=24106;modify=20120829210130;UNIX.mode=0644;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0008; webalizer.conf
type=OS.unix=slink:;size=11;modify=20140506165021;UNIX.mode=0777;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0020; www
226-Options: -a -l 
226 24 matches total



CWD /
250 OK. Current directory is /
TYPE A
200 TYPE is now ASCII
PASV
227 Entering Passive Mode (69,195,124,213,245,86)
MLSD
150 Accepted data connection
type=cdir;sizd=4096;modify=20140623160739;UNIX.mode=0710;UNIX.uid=1144;UNIX.gid=12;unique=fd51g2dc0001; .
type=pdir;sizd=4096;modify=20140623160739;UNIX.mode=0710;UNIX.uid=1144;UNIX.gid=12;unique=fd51g2dc0001; ..
type=file;size=18;modify=20130718131903;UNIX.mode=0644;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0004; .bash_logout
type=file;size=191;modify=20030624163219;UNIX.mode=0644;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0002; .bash_profile
type=file;size=175;modify=20120522221830;UNIX.mode=0644;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0007; .bashrc
type=file;size=16;modify=20140506165029;UNIX.mode=0600;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc001f; .contactemail
type=dir;sizd=4096;modify=20140623165120;UNIX.mode=0700;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc001d; .cpanel
type=dir;sizd=4096;modify=20140416165729;UNIX.mode=0755;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0015; .cpanel-datastore
type=file;size=500;modify=20130507120744;UNIX.mode=0644;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0006; .emacs
type=file;size=140;modify=20140506165021;UNIX.mode=0644;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0030; .gemrc
type=dir;sizd=4096;modify=20140506165021;UNIX.mode=0755;UNIX.uid=1144;UNIX.gid=12;unique=fd51g2dc001a; .htpasswds
type=file;size=171;modify=20140311134653;UNIX.mode=0644;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0003; .kshrc
type=file;size=13;modify=20140623160739;UNIX.mode=0600;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0009; .lastlogin
type=dir;sizd=4096;modify=20140506181606;UNIX.mode=0700;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc00fd; .trash
type=file;size=658;modify=20131124174036;UNIX.mode=0644;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0005; .zshrc
type=dir;sizd=4096;modify=20140623160622;UNIX.mode=0755;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc00ff; UPLOADS
type=OS.unix=slink:;size=33;modify=20140506170314;UNIX.mode=0777;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc00dd; access-logs
type=dir;sizd=4096;modify=20140623171047;UNIX.mode=0750;UNIX.uid=1144;UNIX.gid=12;unique=fd51g2dc0017; etc
type=dir;sizd=4096;modify=20140506165021;UNIX.mode=0750;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0019; mail
type=dir;sizd=4096;modify=20140623163546;UNIX.mode=0755;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc000a; public_html
type=dir;sizd=4096;modify=20140507031809;UNIX.mode=0750;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0101; ssl
type=dir;sizd=4096;modify=20140619064554;UNIX.mode=0755;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0018; tmp
type=file;size=24106;modify=20120829210130;UNIX.mode=0644;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0008; webalizer.conf
type=OS.unix=slink:;size=11;modify=20140506165021;UNIX.mode=0777;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0020; www
226-Options: -a -l 
226 24 matches total



CWD /
250 OK. Current directory is /
TYPE A
200 TYPE is now ASCII
PASV
227 Entering Passive Mode (69,195,124,213,191,145)
MLSD
150 Accepted data connection
type=cdir;sizd=4096;modify=20140623160739;UNIX.mode=0710;UNIX.uid=1144;UNIX.gid=12;unique=fd51g2dc0001; .
type=pdir;sizd=4096;modify=20140623160739;UNIX.mode=0710;UNIX.uid=1144;UNIX.gid=12;unique=fd51g2dc0001; ..
type=file;size=18;modify=20130718131903;UNIX.mode=0644;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0004; .bash_logout
type=file;size=191;modify=20030624163219;UNIX.mode=0644;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0002; .bash_profile
type=file;size=175;modify=20120522221830;UNIX.mode=0644;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0007; .bashrc
type=file;size=16;modify=20140506165029;UNIX.mode=0600;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc001f; .contactemail
type=dir;sizd=4096;modify=20140623165120;UNIX.mode=0700;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc001d; .cpanel
type=dir;sizd=4096;modify=20140416165729;UNIX.mode=0755;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0015; .cpanel-datastore
type=file;size=500;modify=20130507120744;UNIX.mode=0644;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0006; .emacs
type=file;size=140;modify=20140506165021;UNIX.mode=0644;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0030; .gemrc
type=dir;sizd=4096;modify=20140506165021;UNIX.mode=0755;UNIX.uid=1144;UNIX.gid=12;unique=fd51g2dc001a; .htpasswds
type=file;size=171;modify=20140311134653;UNIX.mode=0644;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0003; .kshrc
type=file;size=13;modify=20140623160739;UNIX.mode=0600;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0009; .lastlogin
type=dir;sizd=4096;modify=20140506181606;UNIX.mode=0700;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc00fd; .trash
type=file;size=658;modify=20131124174036;UNIX.mode=0644;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0005; .zshrc
type=dir;sizd=4096;modify=20140623160622;UNIX.mode=0755;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc00ff; UPLOADS
type=OS.unix=slink:;size=33;modify=20140506170314;UNIX.mode=0777;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc00dd; access-logs
type=dir;sizd=4096;modify=20140623171047;UNIX.mode=0750;UNIX.uid=1144;UNIX.gid=12;unique=fd51g2dc0017; etc
type=dir;sizd=4096;modify=20140506165021;UNIX.mode=0750;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0019; mail
type=dir;sizd=4096;modify=20140623163546;UNIX.mode=0755;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc000a; public_html
type=dir;sizd=4096;modify=20140507031809;UNIX.mode=0750;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0101; ssl
type=dir;sizd=4096;modify=20140619064554;UNIX.mode=0755;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0018; tmp
type=file;size=24106;modify=20120829210130;UNIX.mode=0644;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0008; webalizer.conf
type=OS.unix=slink:;size=11;modify=20140506165021;UNIX.mode=0777;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0020; www
226-Options: -a -l 
226 24 matches total



CWD /
250 OK. Current directory is /
TYPE A
200 TYPE is now ASCII
PASV
227 Entering Passive Mode (69,195,124,213,176,238)
MLSD
150 Accepted data connection
type=cdir;sizd=4096;modify=20140623160739;UNIX.mode=0710;UNIX.uid=1144;UNIX.gid=12;unique=fd51g2dc0001; .
type=pdir;sizd=4096;modify=20140623160739;UNIX.mode=0710;UNIX.uid=1144;UNIX.gid=12;unique=fd51g2dc0001; ..
type=file;size=18;modify=20130718131903;UNIX.mode=0644;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0004; .bash_logout
type=file;size=191;modify=20030624163219;UNIX.mode=0644;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0002; .bash_profile
type=file;size=175;modify=20120522221830;UNIX.mode=0644;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0007; .bashrc
type=file;size=16;modify=20140506165029;UNIX.mode=0600;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc001f; .contactemail
type=dir;sizd=4096;modify=20140623165120;UNIX.mode=0700;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc001d; .cpanel
type=dir;sizd=4096;modify=20140416165729;UNIX.mode=0755;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0015; .cpanel-datastore
type=file;size=500;modify=20130507120744;UNIX.mode=0644;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0006; .emacs
type=file;size=140;modify=20140506165021;UNIX.mode=0644;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0030; .gemrc
type=dir;sizd=4096;modify=20140506165021;UNIX.mode=0755;UNIX.uid=1144;UNIX.gid=12;unique=fd51g2dc001a; .htpasswds
type=file;size=171;modify=20140311134653;UNIX.mode=0644;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0003; .kshrc
type=file;size=13;modify=20140623160739;UNIX.mode=0600;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0009; .lastlogin
type=dir;sizd=4096;modify=20140506181606;UNIX.mode=0700;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc00fd; .trash
type=file;size=658;modify=20131124174036;UNIX.mode=0644;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0005; .zshrc
type=dir;sizd=4096;modify=20140623160622;UNIX.mode=0755;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc00ff; UPLOADS
type=OS.unix=slink:;size=33;modify=20140506170314;UNIX.mode=0777;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc00dd; access-logs
type=dir;sizd=4096;modify=20140623171047;UNIX.mode=0750;UNIX.uid=1144;UNIX.gid=12;unique=fd51g2dc0017; etc
type=dir;sizd=4096;modify=20140506165021;UNIX.mode=0750;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0019; mail
type=dir;sizd=4096;modify=20140623163546;UNIX.mode=0755;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc000a; public_html
type=dir;sizd=4096;modify=20140507031809;UNIX.mode=0750;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0101; ssl
type=dir;sizd=4096;modify=20140619064554;UNIX.mode=0755;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0018; tmp
type=file;size=24106;modify=20120829210130;UNIX.mode=0644;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0008; webalizer.conf
type=OS.unix=slink:;size=11;modify=20140506165021;UNIX.mode=0777;UNIX.uid=1144;UNIX.gid=1144;unique=fd51g2dc0020; www
226-Options: -a -l 
226 24 matches total

And on and on....

Change History (4)

comment:1 Changed on Jun 23, 2014 at 5:40:04 PM by dkocher

  • Component changed from core to ftp
  • Description modified (diff)
  • Owner set to dkocher

comment:2 Changed on Jun 24, 2014 at 2:21:18 PM by dkocher

  • Milestone set to 4.5

Can you reproduce this issue with the latest snapshot build available?

comment:3 Changed on Jun 24, 2014 at 8:17:45 PM by dkocher

  • Description modified (diff)
  • Summary changed from Cyber duck wont list root dir to Stuck in loop when listing root directory with MLSD

comment:4 Changed on Jun 25, 2014 at 1:25:02 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

In r14838.

Note: See TracTickets for help on using tickets.
swiss made software